playerc_fiducial_t Struct Reference
fiducial

Fiducial finder data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
player_fiducial_geom_t | fiducial_geom
| Geometry in robot cs. More...
int | fiducials_count
| List of detected beacons. More...
player_fiducial_item_t * | fiducials

## Detailed Description

Fiducial finder data.

## Member Data Documentation

player_fiducial_geom_t playerc_fiducial_t::fiducial_geom

Geometry in robot cs.

These values are filled in by playerc_fiducial_get_geom(). [pose] is the detector pose in the robot cs, [size] is the detector size, [fiducial_size] is the fiducial size.

int playerc_fiducial_t::fiducials_count

List of detected beacons.

playerc_device_t playerc_fiducial_t::info

Device info; must be at the start of all device structures.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45